.title-image-container {
  position: relative;
  width: 100%;
  min-height: 200px;
  max-height: 300px;
  overflow: hidden;
  display: flex;
  margin-top: 0;
  margin-bottom: 0;
  align-items: center;
  justify-content: center;
}

.title-image {
  width: 100%;
  height: 100%;
  object-fit: cover;
  object-position: center;
}

.title-text {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  color: #0079ff;
  font-family: 'TitanOne', sans-serif;
  font-size: 3rem;
  font-weight: bold;
  -webkit-text-stroke: 1pt;
  -webkit-text-stroke-color: white;
  text-shadow: 2px 2px 4px rgba(0, 0, 0, 0.5);
}

.title-menu-bg {
  position: absolute;
  background-color: rgba(0, 0, 0, 0.4);
  width: 100%;
  height: 30pt;
  top: 100%;
  transform: translate(0%, -100%);
}

.title-menu-div {
  height: 100%;
  margin-top: 0;
  margin-bottom: 0;
  margin: auto;
  width: 1000px;
  display: flex;
  align-items: center;
  gap: 30px;
}

.title-menu-text {
  font-family: 'OpenSans', sans-serif;
  color: white;
  font-size: 1.5rem;
  font-weight: 600;
}

.title-menu-text:link {
  text-decoration: none;
}

.title-menu-text:hover {
  text-decoration: underline;
}

/* Add a media query for screens smaller than 600px */
@media (max-width: 640px) {
  .title-image-container {
    min-height: 170px;
    max-height: 220px;
    overflow: hidden;
  }

  .title-menu-bg {
    height: 30pt;
  }

  .title-menu-text {
    font-size: 1rem;
  }

  .title-text {
    font-size: 1.5rem;
  }
}
